Subject: Re: Badness on the Warp

From: Sean MacLennan <[email-masked]>
Date: Sun, 21 Jun 2009 18:36:58 -0400

On Mon, 22 Jun 2009 08:25:04 +1000
Benjamin Herrenschmidt <[email-masked]> wrote:

> Right, our interrupt controllers need those fixes, they are low
> on my priority list since it's a reasonably harmless warning and I'm
> still chasing some actual breakage (though maybe not directly related
> to your patches).
> 
> Kumar already submitted a couple, Frans, feel free to beat me
> at converting UIC (just use kmalloc directly in there instead
> of alloc_bootmem).

I can make the changes to UIC if you want. They badness is harmless (it
ends up calling kzalloc anyway), but hard to explain to our PV (Product
Verification) department that they can ignore what looks like a crash ;)

Cheers,
   Sean